Hot News:

Mit Unterstützung durch:

  Foren auf CAD.de (alle Foren)
  Rund um AutoCAD
  dateipfade in textfile

Antwort erstellen  Neues Thema erstellen
CAD.de Login | Logout | Profil | Profil bearbeiten | Registrieren | Voreinstellungen | Hilfe | Suchen

Anzeige:

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen nächster neuer Beitrag | nächster älterer Beitrag
Autor Thema:   dateipfade in textfile (207 mal gelesen)
tomturbos
Mitglied
architektur


Sehen Sie sich das Profil von tomturbos an!   Senden Sie eine Private Message an tomturbos  Schreiben Sie einen Gästebucheintrag für tomturbos

Beiträge: 149
Registriert: 28.03.2003

windows xp
windows 7
autocad/adt 2004
architecture 2010

erstellt am: 11. Jul. 2005 08:36    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

hallo,

kurze frage nachdem ich nichts finden kann bzw. die falschen suchbegriffe verwende:

wie kann ich die pfade der supportdatei usw. (suchpfade, dateinamen etc.) gesammelt in ein übersichtstextfile exportieren?

danke
tom

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Grebe
Mitglied



Sehen Sie sich das Profil von Grebe an!   Senden Sie eine Private Message an Grebe  Schreiben Sie einen Gästebucheintrag für Grebe

Beiträge: 523
Registriert: 16.12.2002

erstellt am: 11. Jul. 2005 09:08    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für tomturbos 10 Unities + Antwort hilfreich

Diese Pfade dürften weitestgehend in der Registry abgelegt sein. Du müsstest also den entsprechenden Zweig exportieren.
Mathias

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

CADmium
Moderator
Maschinenbaukonstrukteur




Sehen Sie sich das Profil von CADmium an!   Senden Sie eine Private Message an CADmium  Schreiben Sie einen Gästebucheintrag für CADmium

Beiträge: 13435
Registriert: 30.11.2003

Hinweis: Meine Mitarbeit auf CAD.DE ist fakultativ, unentgeltlich und beruht nur auf einem ausgeprägtem Helfersyndrom.

erstellt am: 11. Jul. 2005 09:11    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für tomturbos 10 Unities + Antwort hilfreich

oder du nutz folgendes Lisp, das du mit Export-support aufrufen kannst

(defun c:Export-support(/ FILENAME FILE SUPPORT POS LISTE)
  (vl-load-com)
  (if(and(setq FILENAME(getfiled "SUPPORT-EXPORT"
                                (strcat(getvar "LOGINNAME")
                                      "-"
                                      (vla-get-ActiveProfile
                                          (vla-get-profiles
                                            (vla-get-preferences(vlax-get-acad-object))
                                          )
                                      )                                     
                                      ".txt"
                              )
                              "txt" 1
                    )
        )
        (setq FILE (open FILENAME "w"))
        (setq SUPPORT(getenv "ACAD"))
    ) 
    (progn     
      (While(setq POS (vl-string-search ";" SUPPORT))
        (setq LISTE (cons (substr SUPPORT 1 POS) LISTE))
        (setq SUPPORT(substr SUPPORT (+ POS 2)))
      ) 
      (foreach PFAD LISTE       
        (princ (strcat "\n" PFAD) FILE)
      ) 
      (close FILE)     
    )
  )
)

------------------
- Thomas -
"Bei 99% aller Probleme ist die umfassende Beschreibung des Problems bereits mehr als die Hälfte der Lösung desselben."

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

tomturbos
Mitglied
architektur


Sehen Sie sich das Profil von tomturbos an!   Senden Sie eine Private Message an tomturbos  Schreiben Sie einen Gästebucheintrag für tomturbos

Beiträge: 149
Registriert: 28.03.2003

windows xp
windows 7
autocad/adt 2004
architecture 2010

erstellt am: 11. Jul. 2005 13:12    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

@cadmium
cool,
aber wie komme ich zu den restlichen pfaden?

thx
tom

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

CADmium
Moderator
Maschinenbaukonstrukteur




Sehen Sie sich das Profil von CADmium an!   Senden Sie eine Private Message an CADmium  Schreiben Sie einen Gästebucheintrag für CADmium

Beiträge: 13435
Registriert: 30.11.2003

Hinweis: Meine Mitarbeit auf CAD.DE ist fakultativ, unentgeltlich und beruht nur auf einem ausgeprägtem Helfersyndrom.

erstellt am: 11. Jul. 2005 13:17    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für tomturbos 10 Unities + Antwort hilfreich

welche denn?
..
sowas?
logfilmode auf 1 setzen
und dann
(vlax-dump-object(vla-get-files(vla-get-preferences(vlax-get-acad-object))))

dann hast du einiges in der Logdatei -> F1: Logfilename

------------------
- Thomas -
"Bei 99% aller Probleme ist die umfassende Beschreibung des Problems bereits mehr als die Hälfte der Lösung desselben."

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

tomturbos
Mitglied
architektur


Sehen Sie sich das Profil von tomturbos an!   Senden Sie eine Private Message an tomturbos  Schreiben Sie einen Gästebucheintrag für tomturbos

Beiträge: 149
Registriert: 28.03.2003

windows xp
windows 7
autocad/adt 2004
architecture 2010

erstellt am: 11. Jul. 2005 15:41    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

thx!!!

gruß
tom

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Iris2
Mitglied
CAD-Admin


Sehen Sie sich das Profil von Iris2 an!   Senden Sie eine Private Message an Iris2  Schreiben Sie einen Gästebucheintrag für Iris2

Beiträge: 1164
Registriert: 17.02.2004

REVIT 2014/2015/2016
TEKLA Structures
liNear
AutoCAD 2014 / Soficad
ACA 2014
Microstation V8i

erstellt am: 11. Jul. 2005 16:41    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für tomturbos 10 Unities + Antwort hilfreich

@Cadmium,

das ist ne tolle Sache!

10 Us 4 U !!

Iris

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Anzeige.:

Anzeige: (Infos zum Werbeplatz >>)

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen

nächster neuerer Beitrag | nächster älterer Beitrag
Antwort erstellen


Diesen Beitrag mit Lesezeichen versehen ... | Nach anderen Beiträgen suchen | CAD.de-Newsletter

Administrative Optionen: Beitrag schliessen | Archivieren/Bewegen | Beitrag melden!

Fragen und Anregungen: Kritik-Forum | Neues aus der Community: Community-Forum

(c)2020 CAD.de | Impressum | Datenschutz